(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.2+dev0 generated code. *)

let rec printer_t pp_a ctx ppf = function
  | a_u_t_u_t ->
    Umatrix_print.printer_t (Umatrix_print.printer_t pp_a) ctx ppf a_u_t_u_t

and printer_block_matrix pp_a ctx ppf = function
  | a_t -> printer_t pp_a ctx ppf a_t
;;

(* Defining top printers. *)

let print_t pp_a ppf = printer_t pp_a Og_precedence.Ck_toplevel ppf

and print_block_matrix pp_a ppf =
  printer_block_matrix pp_a Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.2+dev0 generated code. *)
