(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 4.2+dev0 generated code. *)

let printer_xml_list1 px_a ctx ppf = function
  | (a, a_l) ->
    ignore ctx; Format.fprintf ppf "%,@[<hv 2><tuple>@,";
    px_a Og_precedence.Ck_tuple_item ppf a; Format.fprintf ppf "%,@,";
    Og_printer_xml.printer_xml_List px_a Og_precedence.Ck_tuple_item ppf a_l;
    Format.fprintf ppf "%,@;<0 -2></tuple>@]"
;;

(* Defining top printers. *)

let print_xml_list1 px_a ppf =
  printer_xml_list1 px_a Og_precedence.Ck_toplevel ppf
;;

(* End of OCamlGen, 4.2+dev0 generated code. *)
