(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ublockmatrix.ml,v 1.15 2017/05/31 15:24:06 fclement Exp $ *)

(** Block matrix operations. *)

module M = Umatrix;;

type 'a t = 'a M.t M.t
and 'a block_matrix = 'a t
;;

let size = M.size;;

let length = size;;

(*
let sizes bm =
  let ni1, nj1 = size bm in
  ...
;;

let lengths = sizes;;

let to_matrix bm =
  let ni1, nj1 = M.size bm in
  if ni1 = 0 || nj1 = 0 then [||] else
  ...
  let ni2, nj2 = in

  let ni = and nj = in
  let m = make ni nj bm.(0).(0).(0).(0) in
  M.iterijij (fun i j bmij -> ) bm;;

;;

let of_matrix m is js =
;;
*)

let resize = M.resize
and zoom = M.zoom
;;
