(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* #Id: Exp $ *)

let printer_xml_natural ctx ppf = function
  | u_t -> Unatural_types_print_xml.printer_xml_t ctx ppf u_t
;;

let printer_xml_t ctx ppf = function | n -> printer_xml_natural ctx ppf n;;

(* Defining top printers. *)

let print_xml_natural ppf = printer_xml_natural Og_precedence.Ck_toplevel ppf;;

let print_xml_t ppf = printer_xml_t Og_precedence.Ck_toplevel ppf;;
