(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2004-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: ulist.mli,v 1.29 2017/05/31 15:24:06 fclement Exp $ *)

(** {3 List operations} *)

(** Make [Ulist] the completion of [List] into a module of type
  {!Ulistn_spec.LISTN}. *)

include Ulistn_spec.LISTN with
  type 'a listpn = 'a list and
  type 'a t = 'a list
;;
